<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Boxmodel</title>
    <style>
        body, html {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
        }

        #id1 {
            background: lightcyan; 
            width: 150px;
            height: 200px;
            margin: 20px;
            padding: 10px;
            display: block;
            border: 15px solid blue;
        }

        #id2 {
            background: lightpink;
            /* 
                display atribuut
                block element (div by default) - nii lai, kui võimalik, nii õhuke, kui võimalik (width, height töötavad)
                inline (span by default) - nii õhuke, kui võimalik, nii kitsas, kui võimalik (width, height ei tööta)
                inline-block (custom) - kahe eelneva kombo; nii kitsas, kui võimalik, nii õhuke, kui võimalik (width, height töötavad)

                Homme
                display: flex, grid
                positioning (elemendi asukoht jõuga määratuna)
            */
            display: inline-block;
            width: 150px;
            height: 200px;
        }
    </style>
</head>
<body>
    <span id="id1">1</span>
    <span id="id2">2</span>
</body>
</html>